> ## Documentation Index
> Fetch the complete documentation index at: https://strettch-make-section-id-optional.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Images

> Get all available OS images with their enum-style slugs

### Response Error Codes

If the request fails, the `code` field in the error response will contain one of the following.

| Code                    | Status | Description                                |
| :---------------------- | :----: | :----------------------------------------- |
| `UNAUTHORIZED`          |   401  | Authentication failed or was not provided. |
| `TOO_MANY_REQUESTS`     |   429  | You have exceeded the rate limit.          |
| `INTERNAL_SERVER_ERROR` |   500  | An unexpected error occurred on our end.   |


## OpenAPI

````yaml api-reference/openapi.json GET /images
openapi: 3.1.0
info:
  title: Strettch Cloud Public API
  description: Public API for managing Strettch Cloud resources.
  contact:
    name: API Support
    url: https://cloud.strettch.com
    email: support@strettch.cloud
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.strettch.cloud/api/v1
    description: Production
security: []
paths:
  /images:
    get:
      tags:
        - Images
      summary: List images
      description: Get all available OS images with their enum-style slugs
      responses:
        '200':
          description: List of images
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/APIResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ImageResponse'
        '401':
          description: 'Possible codes: UNAUTHORIZED'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    APIResponse:
      type: object
      properties:
        message:
          type: string
          example: Operation successful
        requestId:
          type: string
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        success:
          type: boolean
          example: true
        timestamp:
          type: string
          example: '2024-01-15T10:00:00Z'
    ImageResponse:
      type: object
      properties:
        displayName:
          type: string
          example: 24.04 LTS
        image:
          type: string
          example: UBUNTU-24.04
        imageName:
          type: string
          example: Ubuntu
        version:
          type: string
          example: '24.04'
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: ERROR_CODE
        message:
          type: string
          example: Error message description
        requestId:
          type: string
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        success:
          type: boolean
          example: false
        timestamp:
          type: string
          example: '2024-01-15T10:00:00Z'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````